# Class GetTradeStatisticsClient

#### Hierarchy

- GetTradeStatisticsClient

- Defined in src/protobuf/GrpcServiceClientPb.ts:2577

#####
Index

### Constructors

constructor

### Properties

client_
credentials_
hostname_
methodDescriptorGetTradeStatistics
options_

### Methods

getTradeStatistics

## Constructors

### constructor

- new GetTradeStatisticsClient(hostname: string, credentials?: null | {
  [index: string]: string;
  }, options?: null | {
  [index: string]: any;
  }): GetTradeStatisticsClient

- #### Parameters

  - ##### hostname: string

  - ##### `Optional` credentials: null | {
    [index: string]: string;
    }

  - ##### `Optional` options: null | {
    [index: string]: any;
    }

  #### Returns GetTradeStatisticsClient

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2583

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:2578

### credentials_

credentials_: null | {
[index: string]: string;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2580

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:2579

### methodDescriptorGetTradeStatistics

methodDescriptorGetTradeStatistics: MethodDescriptor<GetTradeStatisticsRequest, GetTradeStatisticsReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2596

### options_

options_: null | {
[index: string]: any;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2581

## Methods

### getTradeStatistics

- getTradeStatistics(request: GetTradeStatisticsRequest, metadata?: null | Metadata): Promise<GetTradeStatisticsReply>

- #### Parameters

  - ##### request: GetTradeStatisticsRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetTradeStatisticsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2607
- getTradeStatistics(request: GetTradeStatisticsRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetTradeStatisticsReply) => void)): ClientReadableStream<GetTradeStatisticsReply>

- #### Parameters

  - ##### request: GetTradeStatisticsRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetTradeStatisticsReply) => void)

    - - (err: RpcError, response: GetTradeStatisticsReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetTradeStatisticsReply

        #### Returns void

  #### Returns ClientReadableStream<GetTradeStatisticsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2611

Generated using TypeDoc